| Home · API Reference · Modules

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
MImExtensionEvent Class Reference
Plugin API

`#include <extensionevent.h>`

Inheritance diagram for MImExtensionEvent:
[legend]

## Public Types

enum | Type

## Public Member Functions

| MImExtensionEvent (Type type)
virtual | ~MImExtensionEvent ()
Type | type () const

## Protected Member Functions

| MImExtensionEvent (MImExtensionEventPrivate *dd, Type type)

## Protected Attributes

MImExtensionEventPrivate *const | d_ptr

## Detailed Description

Base class for extending signaling from input method system to plugins.

This event can be subclassed for future additions.

See also
  MAbstractInputMethod::imExtensionEvent(MImExtensionEvent *event)

## Member Enumeration Documentation

## ◆ Type

enum MImExtensionEvent::Type

Defines valid types for input method extension event.

Enumerator
None |
Update |

## Constructor & Destructor Documentation

## ◆ MImExtensionEvent() [1/2]

MImExtensionEvent::MImExtensionEvent | ( | Type | type | ) |

explicit

## ◆ ~MImExtensionEvent()

MImExtensionEvent::~MImExtensionEvent | ( |  | ) |

virtual

## ◆ MImExtensionEvent() [2/2]

MImExtensionEvent::MImExtensionEvent | ( | MImExtensionEventPrivate * | dd,
|  | Type | type
| ) |  |

protected

## Member Function Documentation

## ◆ type()

MImExtensionEvent::Type MImExtensionEvent::type | ( |  | ) | const

Returns the type of the event.

## Member Data Documentation

## ◆ d_ptr

MImExtensionEventPrivate* const MImExtensionEvent::d_ptr

protected

Copyright © 2011 Nokia Corporation |  | Maliit